/transactions/{vaultId}Get All Transactions
Outcome - Returns all transactions for the current vault with pagination and filtering options.
Path Parameters
vaultIdstringVault ID
Query Parameters
cursorstringnullableCursor for pagination. Provides a way to fetch the next or previous set of results.
limitnumbernullableLimits the number of results returned.
sortKeystringnullableSort results by one of the following: id, amount, dollarAmount, fees.
orderstringnullableSort order: 'ASC' for ascending or 'DESC' for descending.
searchstringnullableSearch by senderAddress, receiverAddress, asset.name, or blockchainTransactionId.
filtersobjectnullableFilters results by id, clientId, walletId, assetId, vaultId, gasStationCategoryId, systemFeesCategoryId, type, status, approvalTransactionActions, createdAt, updatedAt, networkId, senderAddress, receiverAddress.
Show child parameters (14)
idnumbernullableFilter by transaction ID.<br/>Example: filters[id]=123
clientIdnumbernullableFilter by client ID. Clients represent external entities in segregated and consolidated vaults in RoxCustody.<br/>Example: filters[clientId]=5
walletIdnumbernullableFilter by wallet ID.<br/>Example: filters[walletId]=246
assetIdnumbernullableFilter by asset ID.<br/>Example: filters[assetId]=2289
gasStationCategoryIdnumbernullableFilter by gas station category ID. Used to filter transactions related to gas station wallets. Cannot be used together with systemFeesCategoryId.<br/>Example: filters[gasStationCategoryId]=2
systemFeesCategoryIdnumbernullableFilter by system fees category ID. Used to filter transactions related to system fees wallets. Cannot be used together with gasStationCategoryId.<br/>Example: filters[systemFeesCategoryId]=3
typestringnullableFilter by transaction type. Allowed values: Incoming, Outgoing, Internal, Swap, Allowance, TOKEN_DEPLOYMENT, MINT_TOKEN, BURN_TOKEN, NFT_TRANSFER.<br/>Example: filters[type]=Incoming
statusstringnullableFilter by transaction status. Allowed values: PENDING, COMPLETED, REJECTED, ERROR, INSUFFICIENTGASFEES, BROADCASTING, BLOCKCHAINREJECTED, CANCELLED, COMPLIANCE_RULE.<br/>Example: filters[status]=COMPLETED
approvalTransactionActionsstringnullableFilter by approval transaction actions. Allowed values: APPROVE, REJECT, PENDING, CANCEL, RECEIVE, REFUND, RECEIVE_AND_SAVE_WALLET.<br/>Example: filters[approvalTransactionActions]=APPROVE
createdAtstringnullableFilter by creation date. Use date range format or specific date.<br/>Example: filters[createdAt]=2025-01-01,2025-12-31 or filters[createdAt]=2025-08-18
updatedAtstringnullableFilter by update date. Use date range format or specific date.<br/>Example: filters[updatedAt]=2025-01-01,2025-12-31 or filters[updatedAt]=2025-08-18
networkIdnumbernullableFilter by network ID. Filters transactions by the blockchain network.<br/>Example: filters[networkId]=22
senderAddressstringnullableFilter by sender wallet address.<br/>Example: filters[senderAddress]=TDvEdndstatzCD9SmvyyYr4DL91TDyxsqX
receiverAddressstringnullableFilter by receiver wallet address.<br/>Example: filters[receiverAddress]=TG3H26Jd7YF3EzbXLhw3pPCPCNTxA1HgzA
Responses
Response attributes
messagestringResponse message
dataarrayArray of transaction records
Show child attributes (20)
idstringTransaction ID
dollarAmountstringTransaction amount in USD
fiatAmountstringTransaction amount in fiat
senderAddressstringSender wallet address
receiverAddressstringDestination address
feesPayerWalletIdstringFees payer wallet ID
datastringnullableTransaction data
assetobjectAsset details
Show child attributes (5)
idnumberAsset ID
namestringAsset name
symbolstringAsset symbol
networkobjectNetwork details
Show child attributes (6)
idnumberNetwork ID
namestringNetwork name
symbolstringNetwork symbol
logostringNetwork logo URL
isSwappablebooleanWhether the network supports swapping
chainobjectChain details
Show child attributes (5)
idnumberChain ID
namestringChain name
nativeCurrencyobjectNative currency details
Show child attributes (3)
namestringCurrency name
symbolstringCurrency symbol
decimalsnumberCurrency decimals
rpcUrlsobjectRPC URLs
Show child attributes (1)
defaultobjectDefault RPC configuration
Show child attributes (2)
httparrayHTTP RPC URLs
webSocketarrayWebSocket RPC URLs
blockExplorersobjectBlock explorer details
Show child attributes (1)
defaultobjectDefault block explorer
Show child attributes (3)
namestringExplorer name
urlstringExplorer URL
apiUrlstringExplorer API URL
logostringAsset logo URL
createdAtstringTransaction creation timestamp
updatedAtstringTransaction last updated timestamp
blockExplorerUrlstringBlock explorer URL for the transaction
markupstringTransaction markup
approvalsarrayTransaction approvals
typestringTransaction type
transactionHashstringTransaction hash
statusstringTransaction status
coinSymbolstringCoin symbol
paymentPolicyTypestringnullablePayment policy type
amountstringTransaction amount
feesstringTransaction fees
metaobjectPagination metadata
Show child attributes (5)
hasNextPagebooleanWhether there is a next page
hasPreviousPagebooleanWhether there is a previous page
nextCursorstringnullableCursor for the next page of results
previousCursorstringnullableCursor for the previous page of results
limitnumberNumber of items per page
statusnumberHTTP status code
Was this page helpful?